/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            kaiman.cc
 *
 *  Sat Aug  4 13:36:06 CEST 2012
 *  Copyright 2012 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of Kaiman.
 *
 *  Kaiman is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Kaiman is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kaiman; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include <QApplication>

#include <QLocale>

#include "mainwindow.h"
#include <locale.h>

void __attribute__ ((constructor)) premain()
{
	printf("premain()\n");
	printf("locale: %s\n", setlocale(LC_ALL, "da_DK"));
}

int main(int argc, char *argv[])
{
	QString file;
	if(argc == 2)
	{
		file = argv[1];
	}

	//  QLocale::setDefault(QLocale(QLocale::Danish, QLocale::Denmark));

	QApplication app(argc, argv);

	MainWindow wnd(argv[1]);
	wnd.show();

	return app.exec();
}
