dofile('util.lua')

speed(1000000)
drej(9)

--[[ foo
bar bas
--]]
function hsl(h)
	local s = 1 -- saturation
	local l = 0.5 -- luminosity
	local function hue2rgb(p, q, t)
		if t < 0 then t = t + 1 end
		if t > 1 then t = t - 1 end
		if t < 1/6 then
			return p + (q - p) * 6 * t
		end
		if t < 1/2 then return q end
		if t < 2/3 then
			return p + (q - p) * (2/3 - t) * 6
		end
		return p
	end

	q = l + s - l * s
	p = 2 * l - q
	r = hue2rgb(p, q, h + 1/3)
	g = hue2rgb(p, q, h)
	b = hue2rgb(p, q, h - 1/3)

	return r * 255, g * 255, b * 255
end

for h=0,1,0.0056 do
	r,g,b = hsl(h)
	colour(r,g,b,255)
	lige(10)
	drej(17.7)
	lige(10)
	drej(18.4)
end